Arduino

Reference Language | Libraries | Comparison | Changes

EEPROM

## read()

#### Description

Reads a byte from the EEPROM. Locations that have never been written to have the value of 255.

#### Syntax

EEPROM.read(address)

#### Parameters

address: the location to read from, starting from 0 (int)

#### Returns

the value stored in that location (byte)

#### Example

    #include <EEPROM.h>

    int a = 0;
    int value;

    void setup()
    {
      Serial.begin(9600);
    }

    void loop()
    {
      value = EEPROM.read(a);

      Serial.print(a);
      Serial.print("\t");
      Serial.print(value);
      Serial.println();

      a = a + 1;

      if (a == 512)
        a = 0;

      delay(500);
    }

#### See also

- write()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes